openSUSE Security Update : mysql-connector-java (openSUSE-2016-1082)

Medium Nessus Plugin ID 93500


The remote openSUSE host is missing a security update.


mysql-connector-java was updated to 5.1.35, fixing multiple bugs and a security issues.

- CVE-2015-2575: Unspecified vulnerability in the MySQL Connectors component in Oracle MySQL 5.1.34 and earlier allows remote authenticated users to affect confidentiality and integrity via unknown vectors related to Connector/J. (bnc#927981)

Please see

This update was imported from the SUSE:SLE-12:Update update project.


Update the affected mysql-connector-java package.

See Also

Plugin Details

Severity: Medium

ID: 93500

File Name: openSUSE-2016-1082.nasl

Version: $Revision: 2.1 $

Type: local

Agent: unix

Published: 2016/09/15

Modified: 2016/09/15

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.9

Vector: CVSS2#AV:N/AC:M/Au:S/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:mysql-connector-java, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2016/09/14

Reference Information

CVE: CVE-2015-2575